[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# mkdir

Create a new directory.

## Declaration

Source position: systemh.inc line 985

`procedure mkdir(`
`const s: string`
`); overload;`

## Description

Mkdir creates a new directory S.

For an example, see Rmdir.

## Errors

Depending on the state of the {$I} switch, a runtime error can be generated if there is an error. In the {$I-} state, use IOResult to check for errors.

## See also

Chdir |  | Change current working directory.
Rmdir |  | Remove directory when empty.

Documentation generated on: Feb 26 2014